Summary: Various applets for use with AfterStep and compatible window managers.
Name: AfterStep-APPS
Version: 990812
Release: 1
Copyright: GPL
Group: User Interface/Desktops
BuildRoot: /var/tmp/afterstep-apps-root
Source0: http://www.tigr.net/afterstep/as-apps/download/as-apps-%{version}.tar
Patch0: AfterStep-APPS-1.5beta1-glibc.patch
Patch1: ascp-paths.patch
Patch2: as-apps-compile.patch
Patch4: xiterm-utmp.patch
Prereq: /sbin/ldconfig
Requires: /usr/sbin/utempter

%description
The AfterStep-APPS package includes a group of applications for use
with the AfterStep window manager. Applications in this package 
include an Advanced Power Management system monitor for laptops (asapm),
a CPU load monitor (ascpu), a simple state machine (asexec), a 
filesystem monitor (asfsm), a CPU load monitor for use with the PROC 
filesystem (asload), a mail checker (asmail), a memory utilization 
monitor (asmem), a volume controller knob for the /dev/mixer device 
(asmix), a volume controller for various sound inputs (asmixer), a 
modem status monitor (asmodem), an analog clock (astime), and a color 
VT102 emulator (aterm).

Install AfterStep-APPS if you're planning to use the AfterStep window
manager.

%prep
%setup -q -c
rm -f *.asc
for archive in *.tar.gz ; do
	tar xzf $archive
	rm -f $archive
done
%patch0 -p1 -b .glibc
%patch1 -p1 -b .paths
%patch4 -p1 -b .xiutmp

%build
for package in `ls` ; do
    cd $package 
    case $package in
	ascd-* )
	    ./configure << EOF
1

1



EOF
	    patch -p2 -b --suffix .compile < %{PATCH2}
	    xmkmf
	    make Makefiles
	    make MANDIR=/usr/X11R6/man/man1 \
		BINDIR=/usr/X11R6/bin \
		THEMESDIR=/usr/share/$package \
		SHLIBDIR=/usr/X11R6/lib \
	    ;;
	
	xfascd* | miniCHESS* | asppp* | Tasks* | aterm* | asmount* | asDrinks* | asbutton* | asdm* | aspbm* | aspostit* | ascdc-* | astuner* | ASFiles* | as[R-W]* | asfaces* | asmon* | astrash* | asxmcd* )
	    # we don't compile these
	    ;;

	xiterm*)
	    # cough cough, hack hack -- ewt
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
		--enable-xpm-background --enable-utmp --enable-wtmp \
		--enable-menubar --enable-next-scroll
	    xmkmf
	    make Makefiles
	    cd src
	    sed -e "s/EXTRA_LIBRARIES =/EXTRA_LIBRARIES = -lutempter/" \
	       Makefile > Makefile.foo
	    sed -e "s/-lsocket //" Makefile.foo > Makefile
	    make
	    ;;
	asclock*)
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 << EOF
classic

EOF
             make
	     ;;
	*)
	    #just about every other thing supports autoconf
	    #
	    # Look ma, I'm broken!  What a shock.
	    rm -f config.cache
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share --with-gtk-prefix=/usr
	    make
	    ;;
    esac
    cd ..
done

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1

for package in `ls` ; do
    cd $package 
    case $package in
	ascd-* | xiterm*)
	    make install install.man \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		THEMESDIR=$RPM_BUILD_ROOT/usr/share/$package \
		SHLIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib
	    ;;

	xfascd* | miniCHESS* | asppp* | Tasks* | aterm* | asmount* | asDrinks* | asbutton* | asdm* | aspbm* | aspostit* | ascdc-* | astuner* | ASFiles* | as[R-W]* | asfaces* | asmon* | astrash* | asxmcd* )
	    # we don't install this
	    ;;

        ascp-* )
	    make install \
	        ASCP_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		ASCP_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		prefx=$RPM_BUILD_ROOT \
		DESTDIR=$RPM_BUILD_ROOT
	    ;;
	*)
	    make install install.man \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		DESTDIR=$RPM_BUILD_ROOT
	    ;;
    esac
    cd ..
done
rm -f $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}/{sessreg,xpmroot,qplot}*
strip $RPM_BUILD_ROOT/usr/X11R6/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/X11R6/bin/*
/usr/share/afterstep/*
/usr/X11R6/man/man1/*

%changelog
* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- update source archive.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- update source archive
- fix ascp

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- utempter support
- got xiterm building again

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- updated source archive
- remove  conflicting files with XFree86

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- split from afterstep and packaged for RH 5.2
